use AMF::Tests;

eval " use AMF::Parser; ";
test not $@;


my $res = amf_open_file( 'testsuite/1.xml' );
test $res;


my $t = amf_get_next_record();

test $t;

use Data::Dumper;

print Dumper( $t );

my $r = $t -> get_value( 'title' );

test $r eq 'The Holy Bible', $r;

my @r = $t -> get_value( 'title' );

test $r[0] eq 'The Holy Bible', @r;

test amf_open_file( 'testsuite/1-b.xml' );

test not amf_get_next_record();
